KYC Certificate
Query consolidated KYC certificate data for a consumer
POST
/
v1
/
products
/
kyc_certificate
/
query
Query consolidated KYC certificate data for a consumer
curl --request POST \
--url https://api.solo.one/v1/products/kyc_certificate/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"furnishing_entity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"consent_id": "<string>",
"consumer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.solo.one/v1/products/kyc_certificate/query"
payload = {
"network_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"furnishing_entity_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"consent_id": "<string>",
"consumer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
policy_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
furnishing_entity_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
consent_id: '<string>',
consumer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.solo.one/v1/products/kyc_certificate/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"consumer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"meta": {
"network_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"document_capture": {
"assertions": {
"document_capture_assertion": true,
"document_capture_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"document_artifact": "<string>",
"document_type": "<string>",
"document_issuing_state": "<string>",
"document_number": "<string>",
"document_issue_date": "<string>",
"document_expiration_date": "<string>",
"document_capture_method": "<string>"
},
"furnishing_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"document_review": {
"assertions": {
"document_attribute_review_assertion": true,
"document_attribute_review_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"document_review_method": "<string>",
"document_tamper_review_performed": true,
"document_tamper_indicators_observed": true,
"is_document_machine_readable_data_validation_performed": true,
"is_document_machine_readable_data_validation_consistent_with_document_face": true
},
"furnishing_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"biometric_capture": {
"assertions": {
"biometric_capture_assertion": true,
"biometric_capture_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"biometric_artifact": "<string>",
"biometric_capture_method": "<string>"
},
"furnishing_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"biometric_review": {
"assertions": {
"biometric_review_assertion": true,
"biometric_review_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"biometric_image_quality_sufficient_for_comparison": true,
"biometric_comparison_reference": "<string>",
"biometric_comparison_outcome": "<string>"
},
"furnishing_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"liveness_capture": {
"assertions": {
"liveness_capture_assertion": true,
"liveness_capture_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"liveness_artifact": "<string>",
"liveness_capture_environment": "<string>"
},
"furnishing_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"liveness_review": {
"assertions": {
"liveness_review_assertion": true,
"liveness_review_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"liveness_review_method": "<string>",
"liveness_review_outcome": "<string>",
"liveness_review_confidence_tier": "<string>"
},
"furnishing_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"address_capture": {
"assertions": {
"address_capture_assertion": true,
"address_capture_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"address_category": "<string>"
},
"furnishing_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"address_verification": {
"assertions": {
"address_verification_assertion": true,
"address_verification_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"address_verification_methods": [
"<string>"
],
"address_verification_outcomes": [
"<string>"
],
"total_address_sources_consulted": 123,
"address_source_count_full_match": 123,
"address_source_count_inconclusive": 123,
"address_source_count_no_match": 123,
"address_source_count_partial_match_street_and_city_only": 123,
"address_source_count_partial_match_zip_only": 123
},
"furnishing_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"identity_corroboration": {
"assertions": {
"is_identity_corroboration_performed": true,
"identity_corroboration_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"identity_elements_corroborated": "<string>",
"identity_corroboration_methods": [
"<string>"
],
"identity_corroboration_outcomes": [
"<string>"
],
"total_identity_corroboration_sources_consulted": 123,
"identity_corroboration_source_count_full_match": 123,
"identity_corroboration_source_count_inconclusive": 123,
"identity_corroboration_source_count_no_match": 123,
"identity_corroboration_source_count_partial_match": 123
},
"furnishing_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"certificate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"query_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Networks to query across; the single policy is applied to all of them.
Minimum array length:
1Querying policy applied across every network in network_ids. If omitted, each network's default policy is used.
Optional furnishing-entity scope. When omitted or empty, data from all furnishers is considered.
Consent token — system resolves identity + applies field access filtering.
Consumer profile primary key (Consumer.id) for permissible-purpose (FCRA) queries.
⌘I
Query consolidated KYC certificate data for a consumer
